Package org.silverpeas.components.datawarning.model

## Class DataWarning

- java.lang.Object
- - org.silverpeas.core.persistence.jdbc.bean.SilverpeasBean
  - - org.silverpeas.components.datawarning.model.DataWarning

- All Implemented Interfaces:
    `Serializable`, `org.silverpeas.core.persistence.jdbc.bean.SilverpeasBeanIntf`

      public class DataWarning
      extends org.silverpeas.core.persistence.jdbc.bean.SilverpeasBean

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static int` | `INCONDITIONAL_QUERY` |
    `static int` | `ON_NO_VARIATION_ANALYSIS` |
    `static int` | `ON_VARIATION_ANALYSIS` |
    `static int` | `TRIGGER_ANALYSIS` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DataWarning()` |
    `DataWarning​(String description, String jdbcDriverName, String login, String password, int rowLimit, String instanceId, int analysisType)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `_getConnectionType()` |
    `String` | `_getTableName()` |
    `Object` | `clone()` |
    `void` | `closeConnection​(Connection con)` |
    `String[]` | `getAllTableNames()` | return un tableau de string contenant les noms de toutes les tables de la base
    `int` | `getAnalysisType()` |
    `String[]` | `getColumnNames​(String tableName)` | return les noms des colonnes de la table passé en parametre
    `String` | `getDescription()` |
    `String` | `getInstanceId()` |
    `String` | `getJdbcDriverName()` |
    `String` | `getLogin()` |
    `String` | `getPwd()` |
    `int` | `getRowLimit()` |
    `Connection` | `openConnection()` | Ouverture de la connection vers la source de donnees
    `void` | `setAnalysisType​(int analysisType)` |
    `void` | `setDescription​(String description)` |
    `void` | `setInstanceId​(String instanceId)` |
    `void` | `setJdbcDriverName​(String jdbcDriverName)` |
    `void` | `setLogin​(String login)` |
    `void` | `setPwd​(String password)` |
    `void` | `setRowLimit​(int rowLimit)` |

    - ### Methods inherited from class org.silverpeas.core.persistence.jdbc.bean.SilverpeasBean

      `_getDatasourceName, _getJdbcData, getPK, getSureString, setPK`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### INCONDITIONAL_QUERY

          public static final int INCONDITIONAL_QUERY

      See Also:
        Constant Field Values

    - #### TRIGGER_ANALYSIS

          public static final int TRIGGER_ANALYSIS

      See Also:
        Constant Field Values

    - #### ON_VARIATION_ANALYSIS

          public static final int ON_VARIATION_ANALYSIS

      See Also:
        Constant Field Values

    - #### ON_NO_VARIATION_ANALYSIS

          public static final int ON_NO_VARIATION_ANALYSIS

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### DataWarning

          public DataWarning()

    - #### DataWarning

          public DataWarning​(String description,
                             String jdbcDriverName,
                             String login,
                             String password,
                             int rowLimit,
                             String instanceId,
                             int analysisType)

  - ### Method Detail

    - #### clone

          public Object clone()

      Overrides:
        `clone` in class `Object`

    - #### setDescription

          public void setDescription​(String description)

    - #### getDescription

          public String getDescription()

    - #### setJdbcDriverName

          public void setJdbcDriverName​(String jdbcDriverName)

    - #### getJdbcDriverName

          public String getJdbcDriverName()

    - #### setLogin

          public void setLogin​(String login)

    - #### getLogin

          public String getLogin()

    - #### setPwd

          public void setPwd​(String password)

    - #### getPwd

          public String getPwd()

    - #### setRowLimit

          public void setRowLimit​(int rowLimit)

    - #### getRowLimit

          public int getRowLimit()

    - #### setInstanceId

          public void setInstanceId​(String instanceId)

    - #### getInstanceId

          public String getInstanceId()

    - #### setAnalysisType

          public void setAnalysisType​(int analysisType)

    - #### getAnalysisType

          public int getAnalysisType()

    - #### _getConnectionType

          public int _getConnectionType()

      Specified by:
        `_getConnectionType` in interface `org.silverpeas.core.persistence.jdbc.bean.SilverpeasBeanIntf`
      Overrides:
        `_getConnectionType` in class `org.silverpeas.core.persistence.jdbc.bean.SilverpeasBean`

    - #### _getTableName

          public String _getTableName()

      Specified by:
        `_getTableName` in interface `org.silverpeas.core.persistence.jdbc.bean.SilverpeasBeanIntf`
      Overrides:
        `_getTableName` in class `org.silverpeas.core.persistence.jdbc.bean.SilverpeasBean`

    - #### openConnection

          public Connection openConnection()
                                    throws DataWarningException

      Ouverture de la connection vers la source de donnees
      Returns:
        Connection la connection
      Throws:
        `DataWarningException`

    - #### closeConnection

          public void closeConnection​(Connection con)

    - #### getAllTableNames

          public String[] getAllTableNames()
                                    throws DataWarningException

      return un tableau de string contenant les noms de toutes les tables de la base
      Throws:
        `DataWarningException`

    - #### getColumnNames

          public String[] getColumnNames​(String tableName)
                                  throws DataWarningException

      return les noms des colonnes de la table passé en parametre
      Throws:
        `DataWarningException`